TELEPATHY-GABBLE(8)

NAME
telepathy-gabble - Telepathy connection manager for XMPP (Jabber)

SYNOPSIS
/usr/libexec/telepathy-gabble

DESCRIPTION
Gabble implements the Telepathy D-Bus specification for XMPP (Jabber), allowing Telepathy clients like empathy(1) to connect to XMPP accounts, including Google Talk.

It is a D-Bus service which runs on the session bus, and should usually be started automatically by D-Bus activation. However, it might be useful to start it manually for debugging.

OPTIONS
There are no command-line options.

ENVIRONMENT

GABBLE_LOGFILE=filename
    If set, debug output will go to the given file rather than to stderr. If + is prepended to the filename (e.g. GABBLE_LOGFILE=+gabble.log), debug output will be appended to the file; otherwise, any existing file will be replaced.

GABBLE_DEBUG=type
    May be set to "all" for full debug output, or various undocumented options (which may change from release to release) to filter the output.

WOCKY_DEBUG=type
    May be set to "all" for full debug output from the Wocky XMPP library used by Gabble, or various undocumented options (which may change from release to release) to filter the output. For general Gabble debugging, "net" is recommended.

GABBLE_PERSIST=1
    If set (to any value), Gabble will continue running until killed, rather than timing out if it has no open connections for a few seconds.

GABBLE_PLUGIN_DIR=directory
    If set, and Gabble was compiled with plugin support, plugins will be loaded from directory rather than from the default directory.

SEE ALSO
http://telepathy.freedesktop.org/, http://telepathy.freedesktop.org/wiki/CategoryGabble, empathy(1)